#
# spec file for package python3-html5lib
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-html5lib
Version:        0.999999
Release:        3.2
Summary:        HTML parser based on the WHAT-WG Web Applications 1
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/html5lib
Source:         http://pypi.python.org/packages/source/h/html5lib/html5lib-%{version}.tar.gz
BuildRequires:  python3-Genshi
BuildRequires:  python3-devel
BuildRequires:  python3-lxml
BuildRequires:  python3-setuptools
BuildRequires:  python3-six
Requires:       python3-six
Recommends:     python3-Genshi
Recommends:     python3-lxml
#BuildRequires:  python3-nose
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
HTML parser designed to follow the HTML5
specification. The parser is designed to handle all flavours of HTML and
parses invalid documents using well-defined error handling rules compatible
with the behaviour of major desktop web browsers.

Output is to a tree structure; the current release supports output to
DOM, ElementTree, lxml and BeautifulSoup tree formats as well as a
simple custom format

%prep
%setup -q -n html5lib-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

#%%check
#nosetests

%files
%defattr(-,root,root,-)
%doc CHANGES.rst LICENSE README.rst
%{python3_sitelib}/html5lib/
%{python3_sitelib}/html5lib-%{version}-py*.egg-info

%changelog
* Mon Jul 13 2015 arun@gmx.de
- update to version 0.999999:
  * Fix #189: fix the sanitizer to allow relative URLs again (as it
    did prior to 0.9999/1.0b5).
* Sat May  2 2015 arun@gmx.de
- specfile:
  * updated url
- update to version 0.99999:
  * Fix #188: fix the sanitizer to not throw an exception when
    sanitizing bogus data URLs.
- changes from version 0.9999:
  * Fix #153: Sanitizer fails to treat some attributes as
    URLs. Despite how this sounds, this has no known security
    implications. No known version of IE (5.5 to current), Firefox (3
    to current), Safari (6 to current), Chrome (1 to current), or
    Opera (12 to current) will run any script provided in these
    attributes.
  * Pass error message to the ParseError exception in strict parsing
    mode.
  * Allow data URIs in the sanitizer, with a whitelist of
    content-types.
  * Add support for Python implementations that don't support lone
    surrogates (read: Jython). Fixes #2.
  * Remove localization of error messages. This functionality was
    totally unused (and untested that everything was localizable), so
    we may as well follow numerous browsers in not supporting
    translating technical strings.
  * Expose treewalkers.pprint as a public API.
  * Add a documentEncoding property to HTML5Parser, fix #121.
* Sat Jan 10 2015 arun@gmx.de
- specfile:
  * remove ifs for opensuse version <=1220
* Sun Jan  4 2015 arun@gmx.de
- specfile:
  * updated copyright year
  * updated url (moved to github)
- update to version 0.999:
  * Fix #127: add work-around for CPython issue #20007: .read(0) on http.client.HTTPResponse drops the rest of the content.
  * Fix #115: lxml treewalker can now deal with fragments containing, at their root level, text nodes with non-ASCII characters on Python 2.
* Wed Oct 23 2013 toddrme2178@gmail.com
- Remove python3-Genshi requirement for openSUSE 12.2, since
  python3-Genshi dependencies are not compatible with
  python <= 3.2
* Tue Oct 22 2013 toddrme2178@gmail.com
- Update to 0.99
  * No changes, just updated version number
- Add additional dependencies
- Add python 3 version
* Thu Mar 29 2012 saschpe@suse.de
- Use upstream tarball
- Don't install tests, but install README
* Sat Feb 11 2012 alexandre@exatati.com.br
- Update to 0.95:
  - Sorry, no changelog atm.
- Regenerate spec file with py2pack.
* Mon Jan 18 2010 alexandre@exatati.com.br
- Update to 0.90.
* Wed Oct 14 2009 alexandre@exatati.com.br
- Initial package (0.11.1) for openSUSE.
